Conversions
List project conversions
Requires conversion.list. Returns paginated conversion records, including stored attribution and currency conversion fields.
GET
/
v1
/
projects
/
{id}
/
conversions
List project conversions
curl --request GET \
--url https://api.trackup.me/v1/projects/{id}/conversions \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.trackup.me/v1/projects/{id}/conversions"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.trackup.me/v1/projects/{id}/conversions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.trackup.me/v1/projects/{id}/conversions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.trackup.me/v1/projects/{id}/conversions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.trackup.me/v1/projects/{id}/conversions")
.header("X-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.trackup.me/v1/projects/{id}/conversions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "11111111-1111-4111-8111-111111111111",
"timestamp": "2026-06-01 12:00:00.000",
"network": "api",
"transactionId": "order-example-1",
"value": 49.9,
"currency": "BRL",
"originalValue": 49.9,
"originalCurrency": "BRL",
"exchangeRate": 1,
"paymentMethod": "pix",
"ip": "192.0.2.10",
"userAgent": "Example/1.0",
"requestId": "",
"linkId": "",
"pageId": "",
"urlId": "",
"visitorId": "visitor-example-1",
"trafficSource": "newsletter",
"utmSource": "newsletter",
"utmMedium": "email",
"utmCampaign": "example-campaign",
"utmTerm": "",
"utmContent": "",
"clickId": "",
"sub1": "",
"sub2": "",
"sub3": "",
"sub4": "",
"sub5": "",
"sub6": "",
"sub7": "",
"sub8": "",
"adPlatform": "",
"adAccountId": "11111111-1111-4111-8111-111111111111",
"campaignId": "",
"adsetId": "",
"adId": "",
"status": "paid"
}
],
"count": 1
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"errors": {}
}{
"error": "<string>",
"message": "<string>"
}Query Parameters
⌘I
List project conversions
curl --request GET \
--url https://api.trackup.me/v1/projects/{id}/conversions \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.trackup.me/v1/projects/{id}/conversions"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.trackup.me/v1/projects/{id}/conversions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.trackup.me/v1/projects/{id}/conversions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.trackup.me/v1/projects/{id}/conversions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.trackup.me/v1/projects/{id}/conversions")
.header("X-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.trackup.me/v1/projects/{id}/conversions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "11111111-1111-4111-8111-111111111111",
"timestamp": "2026-06-01 12:00:00.000",
"network": "api",
"transactionId": "order-example-1",
"value": 49.9,
"currency": "BRL",
"originalValue": 49.9,
"originalCurrency": "BRL",
"exchangeRate": 1,
"paymentMethod": "pix",
"ip": "192.0.2.10",
"userAgent": "Example/1.0",
"requestId": "",
"linkId": "",
"pageId": "",
"urlId": "",
"visitorId": "visitor-example-1",
"trafficSource": "newsletter",
"utmSource": "newsletter",
"utmMedium": "email",
"utmCampaign": "example-campaign",
"utmTerm": "",
"utmContent": "",
"clickId": "",
"sub1": "",
"sub2": "",
"sub3": "",
"sub4": "",
"sub5": "",
"sub6": "",
"sub7": "",
"sub8": "",
"adPlatform": "",
"adAccountId": "11111111-1111-4111-8111-111111111111",
"campaignId": "",
"adsetId": "",
"adId": "",
"status": "paid"
}
],
"count": 1
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"errors": {}
}{
"error": "<string>",
"message": "<string>"
}